> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get form

> Returns an empty ticket form of a prechat or postchat survey.



## OpenAPI

````yaml /api/customer-chat/v3.7/openapi.json post /action/get_form
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.7'
servers:
  - url: https://api.livechatinc.com/v3.7/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/get_form:
    post:
      tags:
        - Other
      summary: Get form
      description: Returns an empty ticket form of a prechat or postchat survey.
      operationId: get-form
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetFormRequest'
            example:
              group_id: 0
              type: prechat
      responses:
        '200':
          description: Form.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFormResponse'
              example:
                form: {}
                enabled: true
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    GetFormRequest:
      type: object
      required:
        - group_id
        - type
      properties:
        group_id:
          type: integer
          description: The ID of the group from which you want the form.
        type:
          type: string
          enum:
            - prechat
            - postchat
          description: The form type.
    GetFormResponse:
      type: object
      properties:
        form:
          type: object
          additionalProperties: true
          description: >-
            The [Form data
            structure](/api/customer-chat/v3.7/data-structures#forms).
        enabled:
          type: boolean
          description: If `true`, the form is enabled and the `form` object is returned.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````